Debian Bug report logs - #263743
[DPKG] support the powerpc64/ppc64 architecture

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Rafael Ávila de Espíndola <rafael.espindola@ic.unicamp.br>

Date: Thu, 5 Aug 2004 14:48:02 UTC

Severity: wishlist

Tags: fixed-in-experimental

Found in version 1.10.23

Done: Scott James Remnant <scott@netsplit.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Rafael Ávila de Espíndola <rafael.espindola@ic.unicamp.br>:
New Bug report received and forwarded. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Ávila de Espíndola <rafael.espindola@ic.unicamp.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: please support powerpc64
Date: Thu, 05 Aug 2004 11:39:19 -0300
Package: dpkg
Version: 1.10.23
Severity: wishlist
Tags: patch

please add support to the powerpc64 architecture.

--------------------------------------------------
diff -r -u dpkg-1.10.23/archtable dpkg-1.10.23-new/archtable
--- dpkg-1.10.23/archtable	2004-07-19 18:56:49.000000000 +0000
+++ dpkg-1.10.23-new/archtable	2004-08-03 23:15:20.889973936 +0000
@@ -64,3 +64,5 @@
 s390x-linux-gnu			s390x		s390x
 s390x-ibm-linux-gnu		s390x		s390x
 s390x-unknown-linux-gnu		s390x		s390x
+powerpc64-linux-gnu		powerpc64	powerpc64
+powerpc64			powerpc64	powerpc64
Only in dpkg-1.10.23/scripts: dpkg-architecture.1
diff -r -u dpkg-1.10.23/scripts/dpkg-architecture.pl dpkg-1.10.23-new/scripts/dpkg-architecture.pl
--- dpkg-1.10.23/scripts/dpkg-architecture.pl	2004-07-19 18:56:49.000000000 +0000
+++ dpkg-1.10.23-new/scripts/dpkg-architecture.pl	2004-08-03 23:15:21.429024160 +0000
@@ -54,6 +54,7 @@
 	    'm68k',		'm68k-linux',
             'arm',		'arm-linux',
             'powerpc',		'powerpc-linux',
+            'powerpc64',        'powerpc64-linux',
 	    'mips',		'mips-linux',
 	    'mipsel',		'mipsel-linux',
 	    'sh3',		'sh3-linux',

--------------------------------------------------

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8

Versions of packages dpkg depends on:
ii  dselect                     1.10.23      a user tool to manage Debian packa
ii  libc6                       2.3.2.ds1-14 GNU C Library: Shared libraries an

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 263743@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 263743@bugs.debian.org
Subject: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 00:18:37 +0200
retitle 263743 dpkg: please support linux-powerpc64
thanks

Hi,

Please, for consistency could you use "linux-powerpc64" instead?

See bug #268709 for details.  My proposed patch follows.

diff -ur dpkg-1.10.23.old/archtable dpkg-1.10.23/archtable
--- dpkg-1.10.23.old/archtable	2004-07-19 20:56:49.000000000 +0200
+++ dpkg-1.10.23/archtable	2004-08-29 00:09:04.000000000 +0200
@@ -28,7 +28,7 @@
 armv4l-linux-gnu		arm		arm
 ppc-linux-gnu			powerpc		powerpc
 powerpc-linux-gnu		powerpc		powerpc
-powerpc				powerpc		powerpc
+powerpc64-linux-gnu		linux-powerpc64	linux-powerpc64
 mips-linux-gnu			mips		mips
 mipsel-linux-gnu		mipsel		mipsel
 mipseb-linux-gnu		mips		mips
diff -ur dpkg-1.10.23.old/scripts/dpkg-architecture.pl dpkg-1.10.23/scripts/dpkg-architecture.pl
--- dpkg-1.10.23.old/scripts/dpkg-architecture.pl	2004-07-19 20:56:49.000000000 +0200
+++ dpkg-1.10.23/scripts/dpkg-architecture.pl	2004-08-29 00:08:16.000000000 +0200
@@ -54,6 +54,7 @@
 	    'm68k',		'm68k-linux',
             'arm',		'arm-linux',
             'powerpc',		'powerpc-linux',
+            'linux-powerpc64',	'powerpc64-linux',
 	    'mips',		'mips-linux',
 	    'mipsel',		'mipsel-linux',
 	    'sh3',		'sh3-linux',

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/freebsd/gnu-libc-based
  `-



Changed Bug title. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 263743@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 263743@bugs.debian.org
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 04:30:54 +0100
* Robert Millan <rmh@debian.org> [2004-08-29 00:18]:
> Please, for consistency could you use "linux-powerpc64" instead?

I object because it's inconsistent with all other Linux ports
currently in existence.
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Robert Millan <rmh@debian.org>, 263743@bugs.debian.org
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 17:33:14 +0100
[Message part 1 (text/plain, inline)]
retitle 263743 please support powerpc64

On Sun, 2004-08-29 at 00:18 +0200, Robert Millan wrote:

> Please, for consistency could you use "linux-powerpc64" instead?
> 
Consistency with *what* ?!  This would be entirely non-consistent with
the other Linux architectures and I don't agree that there's a problem
here.

Debian is first and foremost a Linux distribution; none of the alternate
kernel/libc ports have the completeness and maturity of even the least
used Linux ports.


I utterly reject your proposed patch.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 263743@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Scott James Remnant <scott@netsplit.com>
Cc: 263743@bugs.debian.org
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 19:05:08 +0200
On Sun, Aug 29, 2004 at 05:33:14PM +0100, Scott James Remnant wrote:
> > Please, for consistency could you use "linux-powerpc64" instead?
>
> Consistency with *what* ?!

Consistency with the following arches supported by dpkg:

  darwin-i386 freebsd-i386 hurd-i386 kfreebsd-i386 knetbsd-i386 netbsd-i386
  openbsd-i386 darwin-powerpc

> This would be entirely non-consistent with
> the other Linux architectures and I don't agree that there's a problem
> here.

When judging consistency, you should look at the whole picture.  In order to
arcieve a fully consistent scheme, the existing Linux architectures need to
be renamed too (I filed bug #268709 as a placeholder for this).

> Debian is first and foremost a Linux distribution; none of the alternate
> kernel/libc ports have the completeness and maturity of even the least
> used Linux ports.

Don't take me wrong with this.  I don't advocate or even pretend to justify
detrimental changes in the existing arches to support uncomplete/inmature
ports.  Such changes would require re-adjustments in the ftp archive and a few
other places, which I don't feel in a position to request (YET).

OTOH, I don't estimate anything detrimental in this particular request.  Are
you objecting to it only on the basis of consistency, or do you have other
concerns?  If consistency is your only concern, how is it that an scheme in
which some arches have "${kernel}-" prefix and some don't is the one we're
targetting at in the long term?

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/freebsd/gnu-libc-based
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Robert Millan <rmh@debian.org>
Cc: 263743@bugs.debian.org
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 18:49:01 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2004-08-29 at 19:05 +0200, Robert Millan wrote:

> On Sun, Aug 29, 2004 at 05:33:14PM +0100, Scott James Remnant wrote:
> > > Please, for consistency could you use "linux-powerpc64" instead?
> >
> > Consistency with *what* ?!
> 
> Consistency with the following arches supported by dpkg:
> 
>   darwin-i386 freebsd-i386 hurd-i386 kfreebsd-i386 knetbsd-i386 netbsd-i386
>   openbsd-i386 darwin-powerpc
> 
Those aren't Linux architectures.

> > This would be entirely non-consistent with
> > the other Linux architectures and I don't agree that there's a problem
> > here.
> 
> When judging consistency, you should look at the whole picture.  In order to
> arcieve a fully consistent scheme, the existing Linux architectures need to
> be renamed too (I filed bug #268709 as a placeholder for this).
> 
Exactly, and that's not going to happen.  So we're left with the
following naming rules:

 - Linux architectures use the architecture name
   (i386, powerpc)

 - Non-Linux architectures prefix with the kernel name
   (hurd-i386, darwin-powerpc)

> OTOH, I don't estimate anything detrimental in this particular request.
> 
It breaks the above, well-established naming scheme.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 263743@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Scott James Remnant <scott@netsplit.com>
Cc: 263743@bugs.debian.org
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 20:31:55 +0200
On Sun, Aug 29, 2004 at 06:49:01PM +0100, Scott James Remnant wrote:
> > When judging consistency, you should look at the whole picture.  In order to
> > arcieve a fully consistent scheme, the existing Linux architectures need to
> > be renamed too (I filed bug #268709 as a placeholder for this).
> > 
> Exactly, and that's not going to happen.  So we're left with the
> following naming rules:
> 
>  - Linux architectures use the architecture name
>    (i386, powerpc)
> 
>  - Non-Linux architectures prefix with the kernel name
>    (hurd-i386, darwin-powerpc)

You're avoiding my previous question:

"If consistency is your only concern, how is it that an scheme in which some
arches have "${kernel}-" prefix and some don't is the one we're targetting at
in the long term?"

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/freebsd/gnu-libc-based
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 263743@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Scott James Remnant <scott@netsplit.com>, 263743@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 19:48:49 +0100
* Scott James Remnant <scott@netsplit.com> [2004-08-29 18:49]:
>  - Non-Linux architectures prefix with the kernel name
>    (hurd-i386, darwin-powerpc)

Or maybe we introduce a new field called Kernel or so.
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 263743@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Robert Millan <rmh@debian.org>, 263743@bugs.debian.org
Cc: Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 20:14:50 +0100
* Robert Millan <rmh@debian.org> [2004-08-29 20:31]:
> You're avoiding my previous question:

He's not.  There are 2 different questions about consistency.  You
cannot fulfil both of them at the same time.  Scott and I care about
the Linux arches being consistent. (Well, I'm not speaking for him,
but that's how I understand his mails.)  Calling it linux-powerpc64
now would make it inconsistent will all the Linux arches, whereas
calling bsd and hurd os-arch is consistent with what we have had for
years (with the Hurd) and doesn't break Linux consistency.  Given that
Linux is way more popular and the only released arch this is imho what
counts more.  (And as I said, the ideal solution would be to split
Architecture into Architecture and Kernel, I suppose).
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 263743@bugs.debian.org, Robert Millan <rmh@debian.org>
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Sun, 29 Aug 2004 21:45:51 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2004-08-29 at 19:48 +0100, Martin Michlmayr wrote:

> * Scott James Remnant <scott@netsplit.com> [2004-08-29 18:49]:
> >  - Non-Linux architectures prefix with the kernel name
> >    (hurd-i386, darwin-powerpc)
> 
> Or maybe we introduce a new field called Kernel or so.
> 
Indeed, long term some other and better way of separating kernel and
architecture is where I lean.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 263743@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 263743@bugs.debian.org
Cc: Scott James Remnant <scott@netsplit.com>
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Mon, 30 Aug 2004 01:03:40 +0200
On Sun, Aug 29, 2004 at 08:14:50PM +0100, Martin Michlmayr wrote:
> * Robert Millan <rmh@debian.org> [2004-08-29 20:31]:
> > You're avoiding my previous question:
> 
> He's not.  There are 2 different questions about consistency.  You
> cannot fulfil both of them at the same time.  Scott and I care about
> the Linux arches being consistent.

I didn't intend to bring up a discussion which of the "consistency areas"
is more important to satisfy (since I have all the keys to lose anyway ;).
My point is that in the _long term_ we can have a scheme that is consistent
in both regards.  However..

> (And as I said, the ideal solution would be to split
> Architecture into Architecture and Kernel, I suppose).

..that is a solution I'll be happy to explore if the dpkg maintainers are
satisfied with it.

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/freebsd/gnu-libc-based
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 263743@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Scott James Remnant <scott@netsplit.com>, 263743@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Mon, 30 Aug 2004 01:16:26 +0200
retitle 263743 dpkg: please support powerpc64
thanks

On Sun, Aug 29, 2004 at 09:45:51PM +0100, Scott James Remnant wrote:
> On Sun, 2004-08-29 at 19:48 +0100, Martin Michlmayr wrote:
> 
> > * Scott James Remnant <scott@netsplit.com> [2004-08-29 18:49]:
> > >  - Non-Linux architectures prefix with the kernel name
> > >    (hurd-i386, darwin-powerpc)
> > 
> > Or maybe we introduce a new field called Kernel or so.
> > 
> Indeed, long term some other and better way of separating kernel and
> architecture is where I lean.

That sounds like bug #118910.  Ok I'll start working on this.

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/freebsd/gnu-libc-based
  `-



Changed Bug title. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Robert Millan <rmh@debian.org>, 263743@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#263743: Please use "linux-" prefix
Date: Mon, 30 Aug 2004 13:55:34 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2004-08-30 at 01:16 +0200, Robert Millan wrote:

> On Sun, Aug 29, 2004 at 09:45:51PM +0100, Scott James Remnant wrote:
> > On Sun, 2004-08-29 at 19:48 +0100, Martin Michlmayr wrote:
> > 
> > > * Scott James Remnant <scott@netsplit.com> [2004-08-29 18:49]:
> > > >  - Non-Linux architectures prefix with the kernel name
> > > >    (hurd-i386, darwin-powerpc)
> > > 
> > > Or maybe we introduce a new field called Kernel or so.
> > > 
> > Indeed, long term some other and better way of separating kernel and
> > architecture is where I lean.
> 
> That sounds like bug #118910.  Ok I'll start working on this.
> 
Yup, it's one of yours.  I'd be certainly interested in discussing the
ideas for this and how it'll operate; will we encode the kernel name in
the filenames or not?  Probably worth involving ftpmasters at some point
to see how they would like to split things up.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 263743@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: 263743@bugs.debian.org
Cc: control@bugs.debian.org
Subject: dpkg: Please use the package architecture name 'ppc64' as specified by the LSB 2.0
Date: Tue, 23 Nov 2004 21:11:55 +0100
retitle 263743 dpkg: Please support the ppc64 architecture
thanks

The LSB 2.0 uses 'ppc64' as the name of the architecture. The LSB 2.0 says:

"Package Architecture Considerations

 All packages must specify an architecture of ppc64. [...]"

Of course Debian could choose a different name and provide a LSB 
compatibility layer which handles the name conversion. However,
I do not see any reason why we should deviate from the name which
the LSB chooses for the package architecture in this case. This is
in contrast to the amd64 case, where we unfortunately had problems with
the special character '_' in the LSB package architecture name x86_64.

Regards
Andreas Jochens

diff -urN ../tmp-orig/dpkg-1.10.25/archtable ./archtable
--- ../tmp-orig/dpkg-1.10.25/archtable	2004-11-11 20:10:03.000000000 +0000
+++ ./archtable	2004-11-23 17:44:56.885722904 +0000
@@ -29,6 +29,7 @@
 ppc-linux-gnu			powerpc		powerpc
 powerpc-linux-gnu		powerpc		powerpc
 powerpc				powerpc		powerpc
+powerpc64-linux-gnu		ppc64		ppc64
 mips-linux-gnu			mips		mips
 mipsel-linux-gnu		mipsel		mipsel
 mipseb-linux-gnu		mips		mips
diff -urN ../tmp-orig/dpkg-1.10.25/scripts/dpkg-architecture.pl ./scripts/dpkg-architecture.pl
--- ../tmp-orig/dpkg-1.10.25/scripts/dpkg-architecture.pl	2004-11-11 20:10:04.000000000 +0000
+++ ./scripts/dpkg-architecture.pl	2004-11-23 17:45:27.749030968 +0000
@@ -54,6 +54,7 @@
 	    'm68k',		'm68k-linux',
             'arm',		'arm-linux',
             'powerpc',		'powerpc-linux',
+            'ppc64',		'powerpc64-linux',
 	    'mips',		'mips-linux',
 	    'mipsel',		'mipsel-linux',
 	    'sh3',		'sh3-linux',



Changed Bug title. Request was from Andreas Jochens <aj@andaco.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Andreas Jochens <aj@andaco.de>, 263743@bugs.debian.org
Subject: Re: Bug#263743: dpkg: Please use the package architecture name 'ppc64' as specified by the LSB 2.0
Date: Wed, 24 Nov 2004 08:29:37 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2004-11-23 at 21:11 +0100, Andreas Jochens wrote:

> The LSB 2.0 uses 'ppc64' as the name of the architecture. The LSB 2.0 says:
> 
> "Package Architecture Considerations
> 
>  All packages must specify an architecture of ppc64. [...]"
> 
Please file this request with the powerpc64 port team, rather than with
the dpkg maintainer.

Support for this architecture will not be included until the port team
have picked a name for it.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Rafael Ávila de Espíndola <rafael.espindola@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 263743@bugs.debian.org (full text, mbox):

From: Rafael Ávila de Espíndola <rafael.espindola@gmail.com>
To: 263743@bugs.debian.org
Cc: aj@andaco.de
Subject: the architecture name
Date: Fri, 3 Dec 2004 09:21:39 -0200
I agree with Andreas Jochens in that following the LSB naming convention is a 
good thing. Since it appears that we are the only persons working on the 
ppc64 port (http://lists.debian.org/debian-powerpc/2004/12/msg00102.html) I 
think that it is already "safe" to add the support.

Thanks,
Rafael Ávila de Espíndola



Changed Bug title. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Cajus Pollmeier <cajus@naasa.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 263743@bugs.debian.org (full text, mbox):

From: Cajus Pollmeier <cajus@naasa.net>
To: 263743@bugs.debian.org
Subject: Re: Bug#263743: dpkg: Please use the package architecture name 'ppc64' as specified by the LSB 2.0
Date: Sun, 6 Mar 2005 12:50:31 +0100
> I agree with Andreas Jochens in that following the LSB naming 
> convention is a
> good thing. Since it appears that we are the only persons working on 
> the
> ppc64 port 
> (http://lists.debian.org/debian-powerpc/2004/12/msg00102.html) I
> think that it is already "safe" to add the support.

I aggree with this, too - and I'm already using this patch localy while 
porting d-i to be aware of IBM pSeries/OpenPower machines. They do not 
even boot with non ppc64 kernels. Currently I've to maintain my own 
mirror which includes several modified packages, which produces lot of 
overhead for me. Most of this has been committed to svn, but things as 
yaboot are still pending and waiting for upstream to act. I'd be really 
glad to have this on board...

Was an ACK of several people the last thingie needed?

Cheers,
Cajus




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 263743@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Developers <debian-devel@lists.debian.org>
Cc: 263743@bugs.debian.org
Subject: powerpc64 (was Re: Bits (Nybbles?) from the Vancouver release team meeting)
Date: Mon, 14 Mar 2005 16:14:02 +0000
* Scott James Remnant <scott@netsplit.com> [2005-03-14 15:56]:
> > ppc64 is not currently a candidate for a separate arch,
> > 
> If that's the case, could you close #263743.

The problem is that afaik there's currently disagreement about how it
should be done.  The IBM folks wanted to think about it, do some real
performance tests and get back to us.  This hasn't happened yet,
though.

Also, as with the amd64 port, there is disagreement about the name.
While ppc64 would be nicer and in line with the LSB, our current
PowerPC port is called powerpc and therefore it would make more sense
to call the 64 bit port powerpc64.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 263743@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Scott James Remnant <scott@netsplit.com>, 263743@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bits (Nybbles?) from the Vancouver release team meeting
Date: Mon, 14 Mar 2005 17:01:35 +0100
On Mon, Mar 14, 2005 at 03:56:34PM +0000, Scott James Remnant wrote:
> On Mon, 2005-03-14 at 11:13 +0100, Sven Luther wrote:
> 
> > On Mon, Mar 14, 2005 at 10:16:20AM +0000, Martin Michlmayr wrote:
> > > * Aurélien Jarno <aurelien@aurel32.net> [2005-03-14 10:56]:
> > > > Would it be possible to have a list of such proposed architectures?
> > > 
> > > amd64, s390z, powerpc64, netbsd-i386 and other variants, sh3/sh4, m32r
> > 
> > ppc64 is not currently a candidate for a separate arch,
> > 
> If that's the case, could you close #263743.

Ah ...

Well, this bug report was done by the (two ?) guys from the unofficial ppc64 project
at alioth, and they have their own need, maybe. I speak as a powerpc porter
interested in ppc64 biarch support, and involved with other ppc64 guys.

Now, i tried to build ppc64 kernels with make-kpkg and a cross compiler, and i
was hit by the exact same bug, and i believe that Tollef's multi-arch support
would also have need of it. 

The official arch name is ppc64 though, at least from the kernel developer's
side.

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 263743@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Debian Developers <debian-devel@lists.debian.org>, 263743@bugs.debian.org, debian-ppc64-devel@lists.alioth.debian.org
Subject: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 20:27:05 +0100
Hello,

This is a call for help from the 'ppc64' porters. 

On 05-Mar-14 16:14, Martin Michlmayr wrote:
> Also, as with the amd64 port, there is disagreement about the name.
> While ppc64 would be nicer and in line with the LSB, our current
> PowerPC port is called powerpc and therefore it would make more sense
> to call the 64 bit port powerpc64.

There has been a decision of the Debian Technical Committee concerning 
the name of the amd64 port which basically says that the porting team 
should decide on the architecture name generally (see [1]).

The ppc64 porters decided to use the name 'ppc64' as the package 
name a few month ago. 

That decision was mainly based on the fact that the Linux Standard Base 
LSB 2.0 states that 'ppc64' is the correct package name for the 
architecture.

Other distributions like Fedora and Gentoo also use the name 'ppc64'.

The Linux kernel uses 'ppc64', while the GNU toolchain uses 'powerpc64'
with 'ppc64' as an alias.

In the meantime, an archive for the ppc64 port has been set up on 
alioth (see http://debian-ppc64.alioth.debian.org/READ_ME for details).
That archive uses the name 'ppc64' as the package name.

An autobuilder for ppc64 is running, which follows the Debian unstable
distribution. The autobuilder is self-hosting since January 2005, 
i.e. it runs the ppc64 port itself.

The ppc64 archive on alioth currently has more than 85% of the packages 
from the Debian unstable distribution compiled. That number is still
(slowly) rising. Every help will be appreciated, of course.

Please help the ppc64 port by including support for the ppc64 
architecture in 'dpkg' and other packages. 

Many thanks to all package maintainers who already applied patches to 
their packages to support the ppc64 architecture.

Regards
Andreas Jochens


[1] http://lists.debian.org/debian-ctte/2004/06/msg00115.html



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: 263743@bugs.debian.org, Andreas Jochens <aj@andaco.de>
Cc: Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 21:16:03 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2005-03-16 at 20:27 +0100, Andreas Jochens wrote:

> This is a call for help from the 'ppc64' porters. 
> 
Which group?  According to Sven Luther's e-mail to debian-devel there
are currently two competing efforts for this port.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #122 received at 263743@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Scott James Remnant <scott@netsplit.com>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 22:48:44 +0100
On 05-Mar-16 21:16, Scott James Remnant wrote:
> On Wed, 2005-03-16 at 20:27 +0100, Andreas Jochens wrote:
> 
> > This is a call for help from the 'ppc64' porters. 
> > 
> Which group?  According to Sven Luther's e-mail to debian-devel there
> are currently two competing efforts for this port.

There is only one native ppc64 port.

There are people like Sven Luther and others who try to convert the 
current powerpc port into a biarch port, which is still mainly 32-bit 
based. This approach intends to add a 64-bit kernel and a biarch toolchain 
to the powerpc port and will allow the installation of selected 
64-bit libraries and 64-bit binaries besides the 32-bit ones. 
This is somewhat similar to the i386 port which has already been 
extended with a 64-bit (amd64) kernel, a biarch (gcc-3.4) toolchain and 
some amd64 64-bit libraries.
This kind of 64-bit extension of a 32-bit port is not the same thing as
a native 64-bit port.

Anyway, the biarch approach will also need a 'dpkg' which supports 
separate 64-bit ppc64 packages in the end.

What are your concerns? Do you refuse to support a native 64-bit 
powerpc64/ppc64 port? Or do you want a different name for it?

Regards
Andreas Jochens



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #127 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Andreas Jochens <aj@andaco.de>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 22:01:17 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2005-03-16 at 22:48 +0100, Andreas Jochens wrote:

> On 05-Mar-16 21:16, Scott James Remnant wrote:
> > On Wed, 2005-03-16 at 20:27 +0100, Andreas Jochens wrote:
> > 
> > > This is a call for help from the 'ppc64' porters. 
> > > 
> > Which group?  According to Sven Luther's e-mail to debian-devel there
> > are currently two competing efforts for this port.
> 
> What are your concerns? Do you refuse to support a native 64-bit 
> powerpc64/ppc64 port? Or do you want a different name for it?
> 
My concern is the same as that of the Project Leader, that the existing
powerpc port is called "powerpc" -- and that we should at least try to
be consistent with already chosen architecture names.

amd64 was reasonably unique in that it wasn't derived from any existing
architecture name.  And in fact, in that case, I championed using the
LSB-mandated name (or as close thereto).

If anything, that's ruled that Debian does not attempt harmony with LSB
names for architectures.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #132 received at 263743@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Scott James Remnant <scott@netsplit.com>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 23:14:40 +0100
On 05-Mar-16 22:01, Scott James Remnant wrote:
> On Wed, 2005-03-16 at 22:48 +0100, Andreas Jochens wrote:
> 
> > On 05-Mar-16 21:16, Scott James Remnant wrote:
> > > On Wed, 2005-03-16 at 20:27 +0100, Andreas Jochens wrote:
> > > 
> > > > This is a call for help from the 'ppc64' porters. 
> > > > 
> > > Which group?  According to Sven Luther's e-mail to debian-devel there
> > > are currently two competing efforts for this port.
> > 
> > What are your concerns? Do you refuse to support a native 64-bit 
> > powerpc64/ppc64 port? Or do you want a different name for it?
> > 
> My concern is the same as that of the Project Leader, that the existing
> powerpc port is called "powerpc" -- and that we should at least try to
> be consistent with already chosen architecture names.
> 
> amd64 was reasonably unique in that it wasn't derived from any existing
> architecture name.  And in fact, in that case, I championed using the
> LSB-mandated name (or as close thereto).
> 
> If anything, that's ruled that Debian does not attempt harmony with LSB
> names for architectures.

So you would add 'powerpc64' support to dpkg if the port changes its 
package name accordingly?

It would be possible to change the name to 'powerpc64' without too many 
problems. The port does not have many users yet and it will take only
three or four weeks to recompile the current archive with a new
package name.

However, I still do not understand why you and/or the Project Leader 
want to override the decision of the porters and choose a different name
than the LSB specifies. I am not saying that Debian should always follow 
the LSB blindly, but I cannot see a good reason for deviating from the 
LSB in this case.

Regards
Andreas Jochens



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #137 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Andreas Jochens <aj@andaco.de>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 22:24:04 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2005-03-16 at 23:14 +0100, Andreas Jochens wrote:

> On 05-Mar-16 22:01, Scott James Remnant wrote:
> > On Wed, 2005-03-16 at 22:48 +0100, Andreas Jochens wrote:
> > 
> > My concern is the same as that of the Project Leader, that the existing
> > powerpc port is called "powerpc" -- and that we should at least try to
> > be consistent with already chosen architecture names.
> > 
> So you would add 'powerpc64' support to dpkg if the port changes its 
> package name accordingly?
> 
Yes, that'd be applied to the 1.13 branch straight away.

> However, I still do not understand why you and/or the Project Leader 
> want to override the decision of the porters and choose a different name
> than the LSB specifies. I am not saying that Debian should always follow 
> the LSB blindly, but I cannot see a good reason for deviating from the 
> LSB in this case.
> 
Because it's a 64-bit version of an already supported architecture.
Having "ppc" and "ppc64" would be fine, as would having "powerpc" and
"powerpc64".  Having "powerpc" and "ppc64" is inconsistent.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Herrenschmidt <benh@kernel.crashing.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #142 received at 263743@bugs.debian.org (full text, mbox):

From: Benjamin Herrenschmidt <benh@kernel.crashing.org>
To: Andreas Jochens <aj@andaco.de>
Cc: Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, 263743@bugs.debian.org, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 09:46:36 +1100
On Wed, 2005-03-16 at 20:27 +0100, Andreas Jochens wrote:
> Hello,
> 
> This is a call for help from the 'ppc64' porters. 
> 
> On 05-Mar-14 16:14, Martin Michlmayr wrote:
> > Also, as with the amd64 port, there is disagreement about the name.
> > While ppc64 would be nicer and in line with the LSB, our current
> > PowerPC port is called powerpc and therefore it would make more sense
> > to call the 64 bit port powerpc64.
> 
> There has been a decision of the Debian Technical Committee concerning 
> the name of the amd64 port which basically says that the porting team 
> should decide on the architecture name generally (see [1]).
> 
> The ppc64 porters decided to use the name 'ppc64' as the package 
> name a few month ago. 
>
> .../...

It's a fully 64 bits setup as it seems ? That is rather inefficient.

Have we any proper way of doing multiarch setups ? The "proper" way to
do ppc64 is to have both archs libs and 32 bits userland for most
things, as ppc64 native code is slightly slower.

I have repeated that over and over again but it seems I have been
ignored so far...

Also make sure the compiler is biarch as the kernel build will soon
require this.

Ben.





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to sean finney <seanius@seanius.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #147 received at 263743@bugs.debian.org (full text, mbox):

From: sean finney <seanius@seanius.net>
To: Scott James Remnant <scott@netsplit.com>
Cc: Andreas Jochens <aj@andaco.de>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Wed, 16 Mar 2005 17:47:00 -0500
[Message part 1 (text/plain, inline)]
On Wed, Mar 16, 2005 at 10:24:04PM +0000, Scott James Remnant wrote:
> Because it's a 64-bit version of an already supported architecture.
> Having "ppc" and "ppc64" would be fine, as would having "powerpc" and
> "powerpc64".  Having "powerpc" and "ppc64" is inconsistent.

and deviating from an already established standard isn't?  i'm wondering
what the actual benefits of having a similarly (powerpc/powerpc64)
named port are, apart from being aesthetically pleasing.


	sean


-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Herrenschmidt <benh@kernel.crashing.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #152 received at 263743@bugs.debian.org (full text, mbox):

From: Benjamin Herrenschmidt <benh@kernel.crashing.org>
To: Andreas Jochens <aj@andaco.de>
Cc: Scott James Remnant <scott@netsplit.com>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 10:01:00 +1100
> Anyway, the biarch approach will also need a 'dpkg' which supports 
> separate 64-bit ppc64 packages in the end.
> 
> What are your concerns? Do you refuse to support a native 64-bit 
> powerpc64/ppc64 port? Or do you want a different name for it?

I think there is not real point in doing so, or mostly academic, but
feel free to do it anyway. I'd rather see more efforts be put in the
biarch port for now though.

And as I wrote earlier, just beware that the compiler has to be biarch
in both cases or you'll have a hard time building kernels.

Ben.





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Herrenschmidt <benh@kernel.crashing.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #157 received at 263743@bugs.debian.org (full text, mbox):

From: Benjamin Herrenschmidt <benh@kernel.crashing.org>
To: Andreas Jochens <aj@andaco.de>
Cc: Scott James Remnant <scott@netsplit.com>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 10:08:11 +1100
> However, I still do not understand why you and/or the Project Leader 
> want to override the decision of the porters and choose a different name
> than the LSB specifies. I am not saying that Debian should always follow 
> the LSB blindly, but I cannot see a good reason for deviating from the 
> LSB in this case.

Me neither... especially since all other distros, afaik, call it
ppc64...

Ben.





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Herrenschmidt <benh@kernel.crashing.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #162 received at 263743@bugs.debian.org (full text, mbox):

From: Benjamin Herrenschmidt <benh@kernel.crashing.org>
To: Scott James Remnant <scott@netsplit.com>
Cc: Andreas Jochens <aj@andaco.de>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 10:08:44 +1100
On Wed, 2005-03-16 at 22:24 +0000, Scott James Remnant wrote:
> On Wed, 2005-03-16 at 23:14 +0100, Andreas Jochens wrote:
> 
> > On 05-Mar-16 22:01, Scott James Remnant wrote:
> > > On Wed, 2005-03-16 at 22:48 +0100, Andreas Jochens wrote:
> > > 
> > > My concern is the same as that of the Project Leader, that the existing
> > > powerpc port is called "powerpc" -- and that we should at least try to
> > > be consistent with already chosen architecture names.
> > > 
> > So you would add 'powerpc64' support to dpkg if the port changes its 
> > package name accordingly?
> > 
> Yes, that'd be applied to the 1.13 branch straight away.
> 
> > However, I still do not understand why you and/or the Project Leader 
> > want to override the decision of the porters and choose a different name
> > than the LSB specifies. I am not saying that Debian should always follow 
> > the LSB blindly, but I cannot see a good reason for deviating from the 
> > LSB in this case.
> > 
> Because it's a 64-bit version of an already supported architecture.
> Having "ppc" and "ppc64" would be fine, as would having "powerpc" and
> "powerpc64".  Having "powerpc" and "ppc64" is inconsistent.

Then "fix" powerpc :) And use alias tricks if you can to keep the old
name.

Ben.





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #167 received at 263743@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Scott James Remnant <scott@netsplit.com>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 00:31:23 +0100
On 05-Mar-16 22:24, Scott James Remnant wrote:
> > So you would add 'powerpc64' support to dpkg if the port changes its 
> > package name accordingly?
> > 
> Yes, that'd be applied to the 1.13 branch straight away.
> 
> > However, I still do not understand why you and/or the Project Leader 
> > want to override the decision of the porters and choose a different name
> > than the LSB specifies. I am not saying that Debian should always follow 
> > the LSB blindly, but I cannot see a good reason for deviating from the 
> > LSB in this case.
> > 
> Because it's a 64-bit version of an already supported architecture.
> Having "ppc" and "ppc64" would be fine, as would having "powerpc" and
> "powerpc64".  Having "powerpc" and "ppc64" is inconsistent.

Inconsistent like i386/amd64 or s390/s390x? There is no rule which 
says that for a 64 bit architecture a '64' suffix has to be appended.
There is not even a single case in Debian where this has been done,
as far as I know.

Moreover, I seriously doubt that this is an honest argument. I think you 
just want to decide the architecture name yourself.
I am saying this because a few month ago you wrote this:

On 04-Nov-24 08:29, Scott James Remnant wrote:
> Please file this request with the powerpc64 port team, rather than with
> the dpkg maintainer.
>
> Support for this architecture will not be included until the port team
> have picked a name for it.

This seemed to imply that you would respect the decision of the porters and 
that you do not want to decide the name yourself. 
Now that there is a decision and a whole archive with 85% of the 
packages compiled, you do not accept that decision. You are basically
saying:

"Take the name 'powerpc64' which I like best - or that architecture 
will not be supported."

But you do not have any convincing reason for not accepting the choosen 
name.

Regards
Andreas Jochens



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #172 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Andreas Jochens <aj@andaco.de>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 00:10:59 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2005-03-17 at 00:31 +0100, Andreas Jochens wrote:

> On 05-Mar-16 22:24, Scott James Remnant wrote:
> > > So you would add 'powerpc64' support to dpkg if the port changes its 
> > > package name accordingly?
> > > 
> > Yes, that'd be applied to the 1.13 branch straight away.
> > 
> > > However, I still do not understand why you and/or the Project Leader 
> > > want to override the decision of the porters and choose a different name
> > > than the LSB specifies. I am not saying that Debian should always follow 
> > > the LSB blindly, but I cannot see a good reason for deviating from the 
> > > LSB in this case.
> > > 
> > Because it's a 64-bit version of an already supported architecture.
> > Having "ppc" and "ppc64" would be fine, as would having "powerpc" and
> > "powerpc64".  Having "powerpc" and "ppc64" is inconsistent.
> 
> Inconsistent like i386/amd64 or s390/s390x? There is no rule which 
> says that for a 64 bit architecture a '64' suffix has to be appended.
> There is not even a single case in Debian where this has been done,
> as far as I know.
> 
Indeed not, because we're only really starting to see both 32-bit and
64-bit variants of architectures in Debian.

> Moreover, I seriously doubt that this is an honest argument. I think you 
> just want to decide the architecture name yourself.
> 
No, I would just prefer consistency.  You've deliberately chosen an
architecture name that's jarringly different from your 32-bit variant;
that's a rather bold thing to do, and I think you need to justify that.

Obviously I have no power to overrule you on your choice of architecture
name, but I'd like to try and appeal to some common sense in you, if
there is any.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #177 received at 263743@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Scott James Remnant <scott@netsplit.com>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 01:57:33 +0100
On 05-Mar-17 00:10, Scott James Remnant wrote:
> No, I would just prefer consistency.  You've deliberately chosen an
> architecture name that's jarringly different from your 32-bit variant;
> that's a rather bold thing to do, and I think you need to justify that.

The decision to use the name 'ppc64' is based on the LSB and it is 
consistent with the decision of all other distributions I know of.

> Obviously I have no power to overrule you on your choice of architecture
> name, but I'd like to try and appeal to some common sense in you, if
> there is any.

I think that common sense would be to follow the LSB and to use the 
LSB conforming package name that all other distributions use.

Again, the name of the port could be changed and the existing archive 
could be recompiled. But I think that people would later come 
to the conclusion that deviating from the standard was a bad thing 
in this case.

I did not yet hear a single vote for the package name 'powerpc64' from
anybody who is actively involved in the p(ower)pc64 port.

Regards
Andreas Jochens



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #182 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: Andreas Jochens <aj@andaco.de>
Cc: 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 01:07:05 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2005-03-17 at 01:57 +0100, Andreas Jochens wrote:

> On 05-Mar-17 00:10, Scott James Remnant wrote:
> > No, I would just prefer consistency.  You've deliberately chosen an
> > architecture name that's jarringly different from your 32-bit variant;
> > that's a rather bold thing to do, and I think you need to justify that.
> 
> The decision to use the name 'ppc64' is based on the LSB and it is 
> consistent with the decision of all other distributions I know of.
> 
But it isn't consistent with Debian's previous decision on the PowerPC
port.  In particular, the LSB mandates "ppc32" for what we call
"powerpc".

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Benjamin Herrenschmidt <benh@kernel.crashing.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #187 received at 263743@bugs.debian.org (full text, mbox):

From: Benjamin Herrenschmidt <benh@kernel.crashing.org>
To: Scott James Remnant <scott@netsplit.com>
Cc: Andreas Jochens <aj@andaco.de>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 12:38:32 +1100
On Thu, 2005-03-17 at 01:07 +0000, Scott James Remnant wrote:
> On Thu, 2005-03-17 at 01:57 +0100, Andreas Jochens wrote:
> 
> > On 05-Mar-17 00:10, Scott James Remnant wrote:
> > > No, I would just prefer consistency.  You've deliberately chosen an
> > > architecture name that's jarringly different from your 32-bit variant;
> > > that's a rather bold thing to do, and I think you need to justify that.
> > 
> > The decision to use the name 'ppc64' is based on the LSB and it is 
> > consistent with the decision of all other distributions I know of.
> > 
> But it isn't consistent with Debian's previous decision on the PowerPC
> port.  In particular, the LSB mandates "ppc32" for what we call
> "powerpc".

Ok, so if I follow you: We did it wrong for powerpc, and that justifies
doing it wrong again for ppc64 ?

Hrm...

Ben.





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #192 received at 263743@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Cc: Andreas Jochens <aj@andaco.de>, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, 263743@bugs.debian.org, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 09:44:08 +0100
On Thu, Mar 17, 2005 at 09:46:36AM +1100, Benjamin Herrenschmidt wrote:
> On Wed, 2005-03-16 at 20:27 +0100, Andreas Jochens wrote:
> > Hello,
> > 
> > This is a call for help from the 'ppc64' porters. 
> > 
> > On 05-Mar-14 16:14, Martin Michlmayr wrote:
> > > Also, as with the amd64 port, there is disagreement about the name.
> > > While ppc64 would be nicer and in line with the LSB, our current
> > > PowerPC port is called powerpc and therefore it would make more sense
> > > to call the 64 bit port powerpc64.
> > 
> > There has been a decision of the Debian Technical Committee concerning 
> > the name of the amd64 port which basically says that the porting team 
> > should decide on the architecture name generally (see [1]).
> > 
> > The ppc64 porters decided to use the name 'ppc64' as the package 
> > name a few month ago. 
> >
> > .../...
> 
> It's a fully 64 bits setup as it seems ? That is rather inefficient.
> 
> Have we any proper way of doing multiarch setups ? The "proper" way to
> do ppc64 is to have both archs libs and 32 bits userland for most
> things, as ppc64 native code is slightly slower.
> 
> I have repeated that over and over again but it seems I have been
> ignored so far...

Not ignored, there is an effort, fully orthogonal to this pure-64 one, to get
ppc64 biarch going. We are somewhat stopped by the work needed on the sarge
release, but it will happen in the close next time.

Now, there is an interest on IBM's and IBM's customer part for getting ppc64
support, and altough we have access to the augsbourg power5 box (but without
virtual machine, so we can't really do kernel or installer tests), we don't
have those ppc64 machine IBM mentioned could be made available, which makes
work on the kernel and installer part at least less possible.

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #197 received at 263743@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Scott James Remnant <scott@netsplit.com>
Cc: Andreas Jochens <aj@andaco.de>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 09:48:35 +0100
On Wed, Mar 16, 2005 at 10:24:04PM +0000, Scott James Remnant wrote:
> On Wed, 2005-03-16 at 23:14 +0100, Andreas Jochens wrote:
> 
> > On 05-Mar-16 22:01, Scott James Remnant wrote:
> > > On Wed, 2005-03-16 at 22:48 +0100, Andreas Jochens wrote:
> > > 
> > > My concern is the same as that of the Project Leader, that the existing
> > > powerpc port is called "powerpc" -- and that we should at least try to
> > > be consistent with already chosen architecture names.
> > > 
> > So you would add 'powerpc64' support to dpkg if the port changes its 
> > package name accordingly?
> > 
> Yes, that'd be applied to the 1.13 branch straight away.
> 
> > However, I still do not understand why you and/or the Project Leader 
> > want to override the decision of the porters and choose a different name
> > than the LSB specifies. I am not saying that Debian should always follow 
> > the LSB blindly, but I cannot see a good reason for deviating from the 
> > LSB in this case.
> > 
> Because it's a 64-bit version of an already supported architecture.
> Having "ppc" and "ppc64" would be fine, as would having "powerpc" and
> "powerpc64".  Having "powerpc" and "ppc64" is inconsistent.

Notice that powerpc used to be called ppc back then (98ish or something such),
and that the name got changed to powerpc64.

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #202 received at 263743@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Scott James Remnant <scott@netsplit.com>
Cc: Andreas Jochens <aj@andaco.de>, 263743@bugs.debian.org, Martin Michlmayr <tbm@cyrius.com>, Debian Developers <debian-devel@lists.debian.org>, debian-ppc64-devel@lists.alioth.debian.org
Subject: Re: [Debian-ppc64-devel] Re: Bug#263743: Call For Help - Please support the ppc64 architecture
Date: Thu, 17 Mar 2005 09:52:55 +0100
On Thu, Mar 17, 2005 at 12:10:59AM +0000, Scott James Remnant wrote:
> On Thu, 2005-03-17 at 00:31 +0100, Andreas Jochens wrote:
> > Moreover, I seriously doubt that this is an honest argument. I think you 
> > just want to decide the architecture name yourself.
> > 
> No, I would just prefer consistency.  You've deliberately chosen an
> architecture name that's jarringly different from your 32-bit variant;
> that's a rather bold thing to do, and I think you need to justify that.

Notice that ppc64 is what is widely known in the outside world on anyone
working with 64bit powerpc, that both the kernel and the toolchain use it,
that all the documentation referent to it uses ppc64 and that the other
distributions doin 64bit powerpc (gento, suze and redhat) use it too, as well
as all cross toolchain out there.

Will we want to do something different as pure dogma, despite the cost
involved ? 

> Obviously I have no power to overrule you on your choice of architecture
> name, but I'd like to try and appeal to some common sense in you, if
> there is any.

Hehe.

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#263743; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #207 received at 263743@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: 263743@bugs.debian.org
Subject: alter tags
Date: Fri, 18 Mar 2005 03:09:49 +0000
[Message part 1 (text/plain, inline)]
tags 263743 - wontfix
tags 263743 + pending
thanks

This bug was left open as "wontfix" because of it's reference to linux-*
architecture names; the ppc64 archtable entry was added before the most
recent discussion even started.

Will let Robert open a separate bug for the linux-* stuff if he wants to
do so.

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Tags removed: wontfix Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Rafael Ávila de Espíndola <rafael.espindola@ic.unicamp.br> Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:07:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.